<template>
    <div>
        <button class="disabled:opacity-20 read-only:bg-gray-900 outline outline-1 rounded-md" 
        :class="{}" :style="{width: changeWidth, height: changeHeight + 'px', backgroundColor: changeBg, color: changeFontColor}" 
        :size="size" 
        :color="color" 
        :disabled="disabled" 
        :readonly="readonly"
        :to="to"
        v-bind="$attrs"
        @click="$emit('click')"
        > {{ label }}
        <!-- @click="$router.push(to)" -->
        </button>
    </div>
</template>

<script>
    export default {
        props: { 
            size: {
                type: String,
                default: 'sm'
            },
            color: {
                type: String,
                default: 'default'
            },
            disabled: {
                type: Boolean,
                default: false,
            },
            readonly: {
                type: Boolean,
                default: false,
            },
            label: {
                type:String,
                default: ''
            },
            to: {
                required: false
            }
        },
        computed: {
            // changeFont() {
            //     let fontSize = ''
            //     if (this.size === 'sm') {
            //         fontSize = 13
            //     } else if (this.size === 'default') {
            //         fontSize = 16
            //     } else if (this.size === 'lg') {
            //         fontSize = 19
            //     } else {
            //         fontSize = 21
            //     }
            //     return fontSize;
            // },
            changeWidth() {
                let width = ''
                if (this.size === 'sm') {
                    width = '50px'
                } else if (this.size === 'default') {
                    width = '70px'
                } else if (this.size === 'lg') {
                    width = '80px'
                } else if (this.size === 'xl') {
                    width = '100%'
                }
                return width;
            },
            changeHeight() {
                let height = ''
                if (this.size === 'sm') {
                    height = 30
                } else if (this.size === 'default') {
                    height = 30
                } else if (this.size === 'lg') {
                    height = 40
                } else {
                    height = 43
                }
                return height;
            },
            changeBg() {
                let backgroundColor = ''
                if (this.color === 'gray') {
                    backgroundColor = 'gray'
                } else if (this.color === 'yellow') {
                    backgroundColor = 'yellow'
                } else if (this.color === 'red') {
                    backgroundColor = '#870000'
                } else if (this.color === 'green') {
                    backgroundColor = 'green'
                } else {
                    backgroundColor = 'white'
                }
                return backgroundColor;
            },
            changeFontColor() {
                let color = ''
                if(this.color === 'default') {
                    color = 'black'
                } else {
                    color = 'white'
                } return color
            },
        }
    }
</script>

<style>


</style>